Page MenuHomePhabricator

ORES virtualenv deployment step fails intermittently
Closed, ResolvedPublic

Description

  • This step needs to fail loudly and kill the scap.
  • Why is it failing?

When it fails, some virtualenv libs aren't installed. The failures looks like,

[2017-12-06T21:46:21] ImportError: No module named 'werkzeug'

although the specific module is sometimes different.

Event Timeline

awight created this task.Dec 6 2017, 10:01 PM
Restricted Application added a project: Scoring-platform-team. · View Herald TranscriptDec 6 2017, 10:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

This hasn't happened to me in the past couple of months. Should I call it "automagically resolved"?

This hasn't happened to me in the past couple of months. Should I call it "automagically resolved"?

Sure! Additionally, that step was fundamentally changed by T181071: Cache ORES virtualenv within versioned source.

awight closed this task as Resolved.Nov 27 2018, 12:54 AM
awight claimed this task.